Debian Bug report logs - #491242
live-helper: lh_bootstrap_debootstrap fails as debootstrap not in path

version graph

Package: live-magic; Maintainer for live-magic is Debian Live Project <debian-live@lists.debian.org>;

Reported by: "Brendan M. Sleight" <bms.debian@barwap.com>

Date: Thu, 17 Jul 2008 22:18:02 UTC

Severity: minor

Fixed in version live-magic/0.6

Done: Chris Lamb <chris@chris-lamb.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bms.debian@barwap.com, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#491242; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to "Brendan M. Sleight" <bms.debian@barwap.com>:
New Bug report received and forwarded. Copy sent to bms.debian@barwap.com, Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Brendan M. Sleight" <bms.debian@barwap.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: lh_bootstrap_debootstrap fails as debootstrap not in path
Date: Thu, 17 Jul 2008 22:16:59 +0000
Package: live-helper
Version: 1.0~a48-1
Severity: minor

Live-magic magic fails to build as debootstrap is not in path when lh_bootstrap_debootstrap is run.

autotesting@autotesting:~$ echo $PATH
/usr/local/bin:/usr/bin:/bin:/usr/games
autotesting@autotesting:~$ ls /usr/sbin/debootstrap 
/usr/sbin/debootstrap
autotesting@autotesting:~$ tail -n 33 ./live-magic-builds/build-log.txt       
I: lh_build starting in /home/autotesting/live-magic-builds
I: =============================================================================
P: Begin caching bootstrap stage...
P: Begin bootstrapping system...
P: If the following stage fails, the most likely cause of the problem is with
P: your mirror configuration, a caching proxy or the sid distribution.
P: Running debootstrap... 
/usr/bin/lh_bootstrap_debootstrap: line 143: debootstrap: command not found
P: Cleaning chroot
removed directory: `config/binary_syslinux'
removed directory: `config/chroot_local-includes'
removed `config/common'
removed directory: `config/chroot_apt'
removed `config/binary'
removed directory: `config/includes'
removed directory: `config/binary_grub'
removed directory: `config/binary_local-udebs'
removed directory: `config/binary_rootfs'
removed directory: `config/chroot_sources'
removed directory: `config/templates'
removed `config/source'
removed directory: `config/chroot_local-hooks'
removed directory: `config/binary_local-debs'
removed directory: `config/chroot_local-packages'
removed directory: `config/binary_debian-installer'
removed directory: `config/binary_local-hooks'
removed `config/chroot'
removed directory: `config/chroot_local-packageslists'
removed directory: `config/chroot_local-preseed'
removed directory: `config/binary_local-includes'
removed `config/bootstrap'
removed directory: `config/binary_local-packageslists'
removed directory: `config'




-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-53.1.6.el5.028stab053.6 (SMP w/4 CPU cores)
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  cdebootstrap                  0.5.2      Bootstrap a Debian system
ii  debootstrap                   1.0.10     Bootstrap a basic Debian system

live-helper recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#491242; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 491242@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: debian-live-devel@lists.alioth.debian.org
Cc: "Brendan M. Sleight" <bms.debian@barwap.com>, 491242@bugs.debian.org
Subject: Re: Bug#491242: live-helper: lh_bootstrap_debootstrap fails as debootstrap not in path
Date: Fri, 18 Jul 2008 13:46:17 +0100
[Message part 1 (text/plain, inline)]
reassign 491242 live-magic
thanks

Brendan M. Sleight wrote:

> Live-magic magic fails to build as debootstrap is not in path when
> lh_bootstrap_debootstrap is run.

I think this is a bug in live-magic, re-assigning there.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package `live-helper' to `live-magic'. Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Fri, 18 Jul 2008 12:48:17 GMT) Full text and rfc822 format available.

Reply sent to Chris Lamb <chris@chris-lamb.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Brendan M. Sleight" <bms.debian@barwap.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 491242-close@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: 491242-close@bugs.debian.org
Subject: Bug#491242: fixed in live-magic 0.6
Date: Sun, 20 Jul 2008 05:32:03 +0000
Source: live-magic
Source-Version: 0.6

We believe that the bug you reported is fixed in the latest version of
live-magic, which is due to be installed in the Debian FTP archive:

live-magic_0.6.dsc
  to pool/main/l/live-magic/live-magic_0.6.dsc
live-magic_0.6.tar.gz
  to pool/main/l/live-magic/live-magic_0.6.tar.gz
live-magic_0.6_all.deb
  to pool/main/l/live-magic/live-magic_0.6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 491242@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <chris@chris-lamb.co.uk> (supplier of updated live-magic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 Jul 2008 13:49:31 +0100
Source: live-magic
Binary: live-magic
Architecture: source all
Version: 0.6
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Chris Lamb <chris@chris-lamb.co.uk>
Description: 
 live-magic - GUI frontend to create Debian LiveCDs, netboot images, etc.
Closes: 491242
Changes: 
 live-magic (0.6) unstable; urgency=medium
 .
   * Remove "--preserve-env" when calling gksu. Contrary to #490134, the
     "--preserve-env" switch actually works on some systems, but I don't think
     we need it as we pass the environment variables we are interested in
     manually. (Closes: #491242)
Checksums-Sha1: 
 e16fd9dd0e4a7d7b73748b3f4368a71f7f9ab905 1026 live-magic_0.6.dsc
 538a0e273338851c1d5cabf103947d827846708a 50973 live-magic_0.6.tar.gz
 1a112102d0599c1a80ed78c51bc8e4485fdbdfd4 35282 live-magic_0.6_all.deb
Checksums-Sha256: 
 4f9630b590bcb7842ef2aba5130c61f5318dfd58f308eef27dc9ca88e207a5b1 1026 live-magic_0.6.dsc
 3e156107de84900756751150880e3ce83844da3307a012a943341194d0a42d77 50973 live-magic_0.6.tar.gz
 946db7c855e522d7036dfd28ba5604323c3fb6617cc5d6e9a14a08c3bcd54253 35282 live-magic_0.6_all.deb
Files: 
 286be6a74421898aea8fd59189e5b233 1026 misc optional live-magic_0.6.dsc
 4ead40aa048cc4c2816320bde9ed6ec8 50973 misc optional live-magic_0.6.tar.gz
 1a28783fde86918f6bf659fa3190ec2f 35282 misc optional live-magic_0.6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiCzA0ACgkQ+C5cwEsrK57RfQCg2iRtbY2VHy7lgsSaIDAwrN44
SxIAn2kKpB14cItwHCaDUVpmoWxgxyJu
=mc+n
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Aug 2008 07:33:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:12:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.